import { Button, Tag } from "antd";
import { color } from "echarts";
import React from "react";
import { useTranslation } from "react-i18next";
export default (props) => {
  const { onOpen, item } = props;
  const { t } = useTranslation();
  return (
    <>
      <div
        style={{
          fontSize: "12px",
          fontWeight: "600",
          marginBottom: "12px",
          color: "#031520",
        }}
      >
        {
          item.identity == "conpanyDirector"
            ? "企业董事"
            : item.identity == "authorizedPerson"
            ? "被授权人"
            : "其他受益人"
          // t("authentication.FaceRecognitionSubTitle")
        }
      </div>
      <div className="face-recognition-box">
        <div style={{ flex: 0.3 }}>
          <div style={{ fontSize: "12px", paddingBottom: "8px" }}>
            {t("authentication.FaceRecognitionName")}
          </div>
          <div style={{ fontSize: "12px", fontWeight: "600" }}>
            {item?.directorNameCn}
          </div>
        </div>
        <div style={{ flex: 0.4 }}>
          <div style={{ fontSize: "12px", paddingBottom: "8px" }}>
            {t("authentication.FaceRecognitionState")}
          </div>
          <div>
            <Tag color="orange">
              {item?.certificationStatus == 0
                ? t("authentication.FaceRecognitionTag1")
                : t("authentication.FaceRecognitionTag2")}
            </Tag>
          </div>
        </div>
        <div style={{ flex: 0.3 }}>
          <Button type="primary" onClick={() => onOpen(item)}>
            {t("authentication.FaceRecognitionBtn1")}
          </Button>
        </div>
      </div>
    </>
  );
};
