import React, { useEffect, useState } from "react";
import {
  Tag,
  Card,
  Steps,
  Button,
  Radio,
  Form,
  Input,
  Row,
  Col,
  Select,
  Image,
} from "antd";
import { useTranslation } from "react-i18next";
import FaceRecognitionModal from "./FaceRecognitionModal";
import "../style.less";
import { getTaCompanyLegalItemAllCompany } from "@/services/taCompanyLegalItem";
import FaceAuthenticationList from "./FaceAuthenticationList";

export default (props) => {
  const { t } = useTranslation();
  const [open, setOpen] = useState(false);
  const [itemIdentify, setItemIdentify] = useState(false);

  const onOpen = (item) => {
    setItemIdentify(item)
    setOpen(true);
  };
  const [list, setList] = useState([]);

  useEffect(() => {
    getTaCompanyLegalItemAllCompany()
      .then((res) => {
        setList(res);
      })
      .catch((err) => {});
  }, []);

  return (
    <>
      <div style={{ fontSize: "24px", fontWeight: "400" }}>
        {t("authentication.FaceRecognitionTitle")}
      </div>
      <Card bordered={false} style={{ width: "900px", paddingBottom: "3vw" }}>
        <div style={{ fontSize: "16px", marginBottom: "24px" }}>
          {t("authentication.FaceRecognitionContent1")}
        </div>
        {(list || []).map((x, index) => {
          return (
            <FaceAuthenticationList key={index} item={x} onOpen={onOpen} />
          );
        })}
        <div
          style={{ fontSize: "16px", marginTop: "12px", marginBottom: "40px" }}
        >
          {t("authentication.FaceRecognitionContent2")}
        </div>
        <Button size="large" style={{ width: "6vw" }}>
          {t("authentication.FaceRecognitionBtn2")}
        </Button>
      </Card>
      <FaceRecognitionModal  itemIdentify={itemIdentify}open={open} setOpen={setOpen} />
    </>
  );
};
