import React from "react";
import { Modal, Statistic, Button } from "antd";
import { LinkOutlined } from "@ant-design/icons";
import { useTranslation } from "react-i18next";
const { Countdown } = Statistic;

export default (props) => {
  const { open, setOpen, itemIdentify } = props;
  const { t } = useTranslation();

  const name =
    (itemIdentify.identity == "authorizedPerson"
      ? "被授权人"
      : itemIdentify.identity == "conpanyDirector"
      ? "企业董事"
      : "其他受益人") + itemIdentify.directorNameCn;

  return (
    <Modal
      title={
        <div style={{ textAlign: "center", fontWeight: "bold" }}>
          {t("authentication.FaceRecognitionModalTitle")}
        </div>
      }
      open={open}
      onOk={props.onOk}
      onCancel={() => setOpen(false)}
      footer={null}
    >
      <div style={{ fontSize: "15px", marginBottom: "12px" }}>
        {t("authentication.FaceRecognitionModalContent1")}
      </div>
      <div style={{ fontSize: "14px" }}>
        {t("authentication.FaceRecognitionModalTip1")}
        <Countdown
          value={Date.now() + 1800 * 1000}
          format="mm:ss"
          style={{ display: "inline-block" }}
        />
        {t("authentication.FaceRecognitionModalTip2")}
      </div>
      <div style={{ fontSize: "16px", margin: "24px 0", textAlign: "center" }}>
        {
          name // t('authentication.FaceRecognitionDirector')
        }
      </div>
      <div style={{ display: "flex", justifyContent: "center" }}>
        <Button type="primary">
          <LinkOutlined />
          {t("authentication.FaceRecognitionBtn")}
        </Button>
      </div>
    </Modal>
  );
};
