import { ProForm } from "@ant-design/pro-components";
import { Form, Input, InputNumber, Radio } from "antd";
import React, { useState } from "react";
import { useTranslation } from "react-i18next";
export default (props) => {
  const { t } = useTranslation();
  const { identity } = props;
  const [ratio, setRatio] = useState("0");

  const onChange = (e) => {
    setRatio(e.target.value);
  };
  console.log(identity)
  return (
    <>
      <Form.Item name={`${identity}-companyLegalId`} hidden />
      <Form.Item name={`${identity}-realCompanyId`} hidden />
      <Form.Item name={`${identity}-beneficiaryId`} hidden />
      {/* <Form.Item
        name={`${identity}-beneficiaryName`}
        label={`${identity}-beneficiaryName`}
      /> */}
      <Form.Item noStyle shouldUpdate>
        {({ getFieldValue }) => {
          const beneficiaryName = getFieldValue(`${identity}-beneficiaryName`);
          const identity2 = getFieldValue(`${identity}-identity`);
          const lable = `${
            identity2 == "authorizedPerson" ? "被授权人" : "企业董事"
          }【${beneficiaryName}】是否为受益所有人？`;

          return (
            <Form.Item
              label={lable}
              name={`${identity}-isBeneficiary`}
              initialValue={ratio}
            >
              <Radio.Group onChange={onChange}>
                <Radio style={{ fontSize: "16px" }} value="1">
                  {t("authentication.everyoneInfoInputRadioValue1")}
                </Radio>
                <Radio style={{ fontSize: "16px" }} value="0">
                  {t("authentication.everyoneInfoInputRadioValue2")}
                </Radio>
              </Radio.Group>
            </Form.Item>
          );
        }}
      </Form.Item>

      <Form.Item noStyle shouldUpdate>
        {({ getFieldValue }) => {
          const beneficiaryName = getFieldValue(`${identity}-beneficiaryName`);
          // const lable =
          //   identity == "conpanyDirector"
          //     ? `被授权人【${beneficiaryName}】的持股比例为?`
          //     : `企业董事 【${beneficiaryName}】 的持股比例为?`;
              const lable = `${
                identity == "authorizedPerson" ? "被授权人" : "企业董事"
              }【${beneficiaryName}】的持股比例为`;
          const isBeneficiary = getFieldValue(`${identity}-isBeneficiary`);
          return (
            isBeneficiary == 1 && (
              <Form.Item
                label={lable}
                name={`${identity}-shareholdingRatio`}
                wrapperCol={{ span: 18 }}
              >
                {/* <Input
                  placeholder={t("authentication.everyoneInfoPlaceholder")}
                  suffix="%"
                /> */}
                <InputNumber
                  placeholder=">=25"
                  style={{ width: "100%" }}
                  formatter={(value) => `${value}%`}
                  min={25}
                />
              </Form.Item>
            )
          );
        }}
      </Form.Item>
    </>
  );
};
