import React from 'react'
import { Divider, Card } from "antd";
import Page from "@/components/Page";
import { useTranslation } from 'react-i18next';

export default (props) => {
  const { t } = useTranslation();

  return (
    <div style={{ padding: '0 80px' }}>
      <Page>
        <Card style={{ marginBottom: '24px' }}>
          <div style={{ display: 'flex', alignItems: 'center', justifyContent: 'space-between', padding: '0 24px' }}>
            <div style={{ textAlign: 'center' }}>
              <img src="https://qbitnetwork.com/app/img/register-img-1.f346588c.png" width="130px" />
              <div style={{ fontSize: '14px', fontWeight: 'bold' }}>
                {t('incorporation.title1')}
              </div>
            </div>
            <div style={{ border: '1px dashed #82ced2', width: '20vw' }} />
            <div style={{ textAlign: 'center' }}>
              <img src="https://qbitnetwork.com/app/img/register-img-2.cc735250.png" width="130px" />
              <div style={{ fontSize: '14px', fontWeight: 'bold' }}>
                {t('incorporation.title2')}
              </div>
            </div>
            <div style={{ border: '1px dashed #82ced2', width: '20vw' }} />
            <div style={{ textAlign: 'center' }}>
              <img src="https://qbitnetwork.com/app/img/register-img-3.b5b8bd86.png" width="130px" />
              <div style={{ fontSize: '14px', fontWeight: 'bold' }}>
                {t('incorporation.title3')}
              </div>
            </div>
          </div>
        </Card>
        <Card>
          <div style={{ display: 'flex', alignItems: 'center', justifyContent: 'space-between', padding: '0 24px' }}>
            <div style={{ textAlign: 'center' }}>
              <img src="https://qbitnetwork.com/app/img/register-img-1.f346588c.png" width="130px" />
              <div style={{ fontSize: '14px', fontWeight: 'bold' }}>
                {t('incorporation.title4')}
              </div>
            </div>
            <div style={{ border: '1px dashed #82ced2', width: '20vw' }} />
            <div style={{ textAlign: 'center' }}>
              <img src="https://qbitnetwork.com/app/img/register-img-2.cc735250.png" width="130px" />
              <div style={{ fontSize: '14px', fontWeight: 'bold' }}>
                {t('incorporation.title5')}
              </div>
            </div>
            <div style={{ border: '1px dashed #82ced2', width: '20vw' }} />
            <div style={{ textAlign: 'center' }}>
              <img src="https://qbitnetwork.com/app/img/register-img-3.b5b8bd86.png" width="130px" />
              <div style={{ fontSize: '14px', fontWeight: 'bold' }}>
                {t('incorporation.title6')}
              </div>
            </div>
          </div>
        </Card>
      </Page>
    </div>
  )
}